Subject: [BugDB] document contains no data (PR#667)

From: [email-masked]
Date: Mon, 4 Mar 2002 19:28:15 +0100 (MET)

Full_Name: santosh Pandey
Version: mod_ssl/2.8.7 
OS: AIX 4.3
Submission from: (NULL) (208.132.249.249)

Hi,
Recently, I have installed the mod-ssl aware Apache server and I am able to
access my secure and non-secure pages when I type the
absolute URL for example
https://qwfeeu21.poceur1:5543/products/corp/apps/gecs/Servlet?pathinfo=/ecr/HomePage.html
or
http://qwfeeu21.poceur1:5580/products/corp/apps/ecs/Servlet?pathinfo=/gets/Entry.html.

But in many cases,  in my  application there is requirement to take 
the user on  intermediate page first ( like customer sign on i.e
https://qwfeeu21.poceur1:5543/products/corp/apps/gecs/Servlet?pathinfo=/ecr/CustomerSignOn.html)
and then after successfully logon it take the user to requested page (customer
maintain screen i.e https://qwfeeu21.poceur1:5543/products/corp/apps/gecs/Servlet?pathinfo=/ecr/SecureAccessReg.html)

So, when I type the https://qwfeeu21.poceur1:5543/products/corp/apps/gecs/Servlet?pathinfo=/ecr/SecureAccessReg.html
in the address bar and press enter, after few second later browser display the
following error

Proxy Error
The proxy server received an invalid response from an upstream server. 
The proxy server could not handle the request GET
/products/corp/apps/gecs/Servlet. 
Reason: Document contains no data 
Apache/1.3.23 Server at qwfeeu21 Port 5543

Though the address bar show the
https://qwfeeu21.poceur1:5543/products/corp/apps/gecs/Servlet?pathinfo=/ecr/CustomerSignOn.html
 which is correct and it should display this page only. But it is strange that
it is not displaying page.
Though the same application working fine with the Apache-ssl without any
problem

At the server side I am getting the following error message
[Mon Mar  4 13:42:43 2002] [debug] proxy_cache.c(984): No CacheRoot, so no
cachi
ng. Declining.                                                                 

[Mon Mar  4 13:42:52 2002] [debug] proxy_http.c(580): Content-Type: text/html  

[Mon Mar  4 13:42:52 2002] [debug] proxy_cache.c(984): No CacheRoot, so no
cachi
ng. Declining.                                                                 

[Mon Mar  4 13:49:00 2002] [debug] proxy_cache.c(984): No CacheRoot, so no
cachi
ng. Declining.

Could you please advise me what is wrong here. 
Attached is the config file which I am using for your reference

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]